Loading...
Searching...
No Matches
OpenMesh::Attributes::StatusInfo Class Reference

Add status information to a base class. More...

`#include <OpenMesh/Attributes/Status.hh>`

## Public Types

typedef unsigned int | value_type

## Public Member Functions

bool | deleted () const
| is deleted ?
void | set_deleted (bool _b)
| set deleted
bool | locked () const
| is locked ?
void | set_locked (bool _b)
| set locked
bool | selected () const
| is selected ?
void | set_selected (bool _b)
| set selected
bool | hidden () const
| is hidden ?
void | set_hidden (bool _b)
| set hidden
bool | feature () const
| is feature ?
void | set_feature (bool _b)
| set feature
bool | tagged () const
| is tagged ?
void | set_tagged (bool _b)
| set tagged
bool | tagged2 () const
| is tagged2 ? This is just one more tag info.
void | set_tagged2 (bool _b)
| set tagged
bool | fixed_nonmanifold () const
| is fixed non-manifold ?
void | set_fixed_nonmanifold (bool _b)
| set fixed non-manifold
unsigned int | bits () const
| return whole status
void | set_bits (unsigned int _bits)
| set whole status at once
bool | is_bit_set (unsigned int _s) const
| is a certain bit set ?
void | set_bit (unsigned int _s)
| set a certain bit
void | unset_bit (unsigned int _s)
| unset a certain bit
void | change_bit (unsigned int _s, bool _b)
| set or unset a certain bit

## Detailed Description

Add status information to a base class.

See also
  StatusBits

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/Status.hh